Bug 726360 - Extend qpidd plugin
Summary: Extend qpidd plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.2
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Bryn M. Reeves
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-28 11:31 UTC by Pavel Moravec
Modified: 2012-04-23 12:34 UTC (History)
5 users (show)

Fixed In Version: 2.2-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 18:11:19 UTC


Attachments (Terms of Use)
patch proposal (2.56 KB, patch)
2011-07-28 11:46 UTC, Pavel Moravec
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1536 normal SHIPPED_LIVE Low: sos security, bug fix, and enhancement update 2011-12-06 01:02:03 UTC

Description Pavel Moravec 2011-07-28 11:31:42 UTC
Description of problem:
Currently qpidd plugin gathers insufficient information for proper debugging purposes. Below is a list of recommended files to copy and commands to execute.

Further to that, checkenabled function needs to be changed - currently qpidd plugin would never run as there is no qpid RPM (only qpid-cpp-server and similar).


Version-Release number of selected component (if applicable):
any


How reproducible:
100%


Steps to Reproduce:
1. Install MRG Messaging
2. Run sosreport
3. check for gathered files and command execution output from "expected results". 


Actual results:
(qpidd plugin is everytime skipped as there is on qpid RPM)

Expected results:
A) Files/directories to copy:
/etc/qpidd.conf
/etc/sasl2/qpidd.conf
/etc/qpid/qpidc.conf
/etc/sesame/sesame.conf
/etc/cumin/cumin.conf
/etc/corosync/corosync.conf
/var/lib/sesame
/var/log/qpidd.log
/var/log/sesame
/var/log/cumin
/var/log/cluster

B) Commands to execute:
/usr/bin/qpid-config queues
/usr/bin/qpid-config exchanges
/usr/bin/qpid-config exchanges -b
/usr/bin/qpid-stat -b
/usr/bin/qpid-stat -e
/usr/bin/qpid-stat -q
/usr/bin/qpid-stat -u
/usr/bin/qpid-stat -c
/usr/bin/qpid-route route list
/usr/bin/qpid-route link list
/usr/bin/qpid-cluster
/usr/bin/qpid-cluster -c
ls -lR /var/lib/qpidd
ls -lR /opt/rh-qpid


Additional info:
a patch proposal will follow

Comment 2 Pavel Moravec 2011-07-28 11:46:03 UTC
Created attachment 515701 [details]
patch proposal

proposed patch fixes both 1) checkenabled modification to proper decision when to run the plugin and 2) gather proper information (as per MRG-M (i.e. qpidd) SEG view)

Comment 6 errata-xmlrpc 2011-12-06 18:11:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1536.html


Note You need to log in before you can comment on or make changes to this bug.